View Issue Details

IDProjectCategoryView StatusLast Update
0021030mantisbtsponsorshipspublic2016-06-12 00:42
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0021030: Error 1704 assigning a sponsored after sponsorship has been turned off
Description

It is not possible to assign a previously sponsored issue even when sponsorship has been switched off:

APPLICATION ERROR 1704
Access Denied: Assigning sponsored issues requires higher access level.

Steps To Reproduce
  • set $g_enable_sponsorship = ON;
  • set $g_assign_sponsored_bugs_threshold = DEVELOPER
  • sponsor an issue
  • disable sponsorship
  • reset $g_assign_sponsored_bugs_threshold to default (MANAGER)
  • try to assign an issue
TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 1a4ecfcb

2016-05-31 11:09:34

dregad

Details Diff
Do not enforce related thresholds when sponsorship is OFF

When $g_enable_sponsorship = OFF, we should not enforce related
thresholds ($g_handle_sponsored_bugs_threshold and
$g_assign_sponsored_bugs_threshold) when updating issues.

Fixes 0021030
mod - bug_change_status_page.php Diff File
mod - bug_update.php Diff File

Issue History

Date Modified Username Field Change
2016-05-30 11:58 dregad New Issue
2016-05-30 11:58 dregad Status new => assigned
2016-05-30 11:58 dregad Assigned To => dregad
2016-05-31 11:15 dregad Note Added: 0053238
2016-06-05 19:34 dregad Changeset attached => MantisBT master 1a4ecfcb
2016-06-05 19:34 dregad Status assigned => resolved
2016-06-05 19:34 dregad Resolution open => fixed
2016-06-05 19:34 dregad Fixed in Version => 1.3.0-rc.2
2016-06-12 00:42 vboctor Status resolved => closed